apt-get upgrade for sudo fails with segmentation fault

Steph steph33560 at gmail.com
Tue Jun 3 21:35:57 BST 2008


Hi,

Does something else fails too ?
A friend on IRC reports me the same case, with this :

 [   56.825602] fetchmail[6895]: segfault at bf0755e0 eip b7c72b79 esp 
bf0755c4 error 6
[   74.405513] sudo[7104]: segfault at bf07c180 eip b7e6fb79 esp 
bf07c164 error 6
[   82.835874] pulseaudio[7318]: segfault at bf168230 eip b7ce8b79 esp 
bf168214 error 6
[  160.918749] fetchmail[7509]: segfault at bf1ba630 eip b7c71b79 esp 
bf1ba614 error 6
[  229.326300] pulseaudio[8938]: segfault at bf292b60 eip b7ce5b79 esp 
bf292b44 error 6

Cheers

Chris Jones a écrit :
> Hi,
>
> I have a new installation of hardy (on a pendrive, if this matters).
>
> apt-get wants to update sudo, but whenever I do I get the error
>
> .
> .
> .
> Fetched 2555kB in 26s (94.8kB/s) 
>
> Preconfiguring packages ...
> (Reading database ... 101614 files and directories currently installed.)
> Preparing to replace sudo 1.6.9p10-1ubuntu3 (using 
> .../sudo_1.6.9p10-1ubuntu3_i386.deb) ...
> Unpacking replacement sudo ...
> E: Sub-process /usr/bin/dpkg received a segmentation fault.
>
> and the update fails.
>
> sudo seems to work fine.
>
> Anyone else seeing this ? Any ideas whats up ?
>
> cheers Chris
>
>   





More information about the ubuntu-users mailing list